Package com.google.debugging.sourcemap.proto

# Class Mapping.OriginalMapping

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.google.debugging.sourcemap.proto.Mapping.OriginalMapping

All Implemented Interfaces:
  `Mapping.OriginalMappingOrBuilder`, `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Serializable`

Enclosing class:
  `Mapping`

public static final class Mapping.OriginalMapping extends com.google.protobuf.GeneratedMessageV3 implements Mapping.OriginalMappingOrBuilder
Protobuf type `sourcemap.OriginalMapping`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Mapping.OriginalMapping.Builder`
Protobuf type `sourcemap.OriginalMapping`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COLUMN_POSITION_FIELD_NUMBER`
`static final int`
`IDENTIFIER_FIELD_NUMBER`
`static final int`
`LINE_NUMBER_FIELD_NUMBER`
`static final int`
`ORIGINAL_FILE_FIELD_NUMBER`
`static final com.google.protobuf.Parser<Mapping.OriginalMapping>`
`PARSER`
Deprecated.

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`getColumnPosition()`
The column number on the line.
`static Mapping.OriginalMapping`
`getDefaultInstance()`
`Mapping.OriginalMapping`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`String`
`getIdentifier()`
The original name of the identifier.
`com.google.protobuf.ByteString`
`getIdentifierBytes()`
The original name of the identifier.
`int`
`getLineNumber()`
The line in the original file.
`String`
`getOriginalFile()`
The original source file.
`com.google.protobuf.ByteString`
`getOriginalFileBytes()`
The original source file.
`com.google.protobuf.Parser<Mapping.OriginalMapping>`
`getParserForType()`
`int`
`getSerializedSize()`
`final com.google.protobuf.UnknownFieldSet`
`getUnknownFields()`
`boolean`
`hasColumnPosition()`
The column number on the line.
`int`
`hashCode()`
`boolean`
`hasIdentifier()`
The original name of the identifier.
`boolean`
`hasLineNumber()`
The line in the original file.
`boolean`
`hasOriginalFile()`
The original source file.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static Mapping.OriginalMapping.Builder`
`newBuilder()`
`static Mapping.OriginalMapping.Builder`
`newBuilder(Mapping.OriginalMapping prototype)`
`Mapping.OriginalMapping.Builder`
`newBuilderForType()`
`protected Mapping.OriginalMapping.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static Mapping.OriginalMapping`
`parseDelimitedFrom(InputStream input)`
`static Mapping.OriginalMapping`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Mapping.OriginalMapping`
`parseFrom(byte[] data)`
`static Mapping.OriginalMapping`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Mapping.OriginalMapping`
`parseFrom(com.google.protobuf.ByteString data)`
`static Mapping.OriginalMapping`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Mapping.OriginalMapping`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static Mapping.OriginalMapping`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Mapping.OriginalMapping`
`parseFrom(InputStream input)`
`static Mapping.OriginalMapping`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Mapping.OriginalMapping`
`parseFrom(ByteBuffer data)`
`static Mapping.OriginalMapping`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Mapping.OriginalMapping>`
`parser()`
`Mapping.OriginalMapping.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### ORIGINAL_FILE_FIELD_NUMBER

public static final int ORIGINAL_FILE_FIELD_NUMBER

See Also:
  - Constant Field Values

### LINE_NUMBER_FIELD_NUMBER

public static final int LINE_NUMBER_FIELD_NUMBER

See Also:
  - Constant Field Values

### COLUMN_POSITION_FIELD_NUMBER

public static final int COLUMN_POSITION_FIELD_NUMBER

See Also:
  - Constant Field Values

### IDENTIFIER_FIELD_NUMBER

public static final int IDENTIFIER_FIELD_NUMBER

See Also:
  - Constant Field Values

### PARSER

@Deprecated public static final com.google.protobuf.Parser<Mapping.OriginalMapping> PARSER
Deprecated.

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### hasOriginalFile

public boolean hasOriginalFile()

     The original source file.

`optional string original_file = 1;`

Specified by:
  `hasOriginalFile` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  Whether the originalFile field is set.

### getOriginalFile

public String getOriginalFile()

     The original source file.

`optional string original_file = 1;`

Specified by:
  `getOriginalFile` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  The originalFile.

### getOriginalFileBytes

public com.google.protobuf.ByteString getOriginalFileBytes()

     The original source file.

`optional string original_file = 1;`

Specified by:
  `getOriginalFileBytes` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  The bytes for originalFile.

### hasLineNumber

public boolean hasLineNumber()

     The line in the original file.

`optional int32 line_number = 2;`

Specified by:
  `hasLineNumber` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  Whether the lineNumber field is set.

### getLineNumber

public int getLineNumber()

     The line in the original file.

`optional int32 line_number = 2;`

Specified by:
  `getLineNumber` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  The lineNumber.

### hasColumnPosition

public boolean hasColumnPosition()

     The column number on the line.

`optional int32 column_position = 3;`

Specified by:
  `hasColumnPosition` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  Whether the columnPosition field is set.

### getColumnPosition

public int getColumnPosition()

     The column number on the line.

`optional int32 column_position = 3;`

Specified by:
  `getColumnPosition` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  The columnPosition.

### hasIdentifier

public boolean hasIdentifier()

     The original name of the identifier.

`optional string identifier = 4;`

Specified by:
  `hasIdentifier` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  Whether the identifier field is set.

### getIdentifier

public String getIdentifier()

     The original name of the identifier.

`optional string identifier = 4;`

Specified by:
  `getIdentifier` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  The identifier.

### getIdentifierBytes

public com.google.protobuf.ByteString getIdentifierBytes()

     The original name of the identifier.

`optional string identifier = 4;`

Specified by:
  `getIdentifierBytes` in interface `Mapping.OriginalMappingOrBuilder`
Returns:
  The bytes for identifier.

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static Mapping.OriginalMapping parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static Mapping.OriginalMapping parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static Mapping.OriginalMapping parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static Mapping.OriginalMapping parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static Mapping.OriginalMapping parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static Mapping.OriginalMapping parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static Mapping.OriginalMapping parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static Mapping.OriginalMapping parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static Mapping.OriginalMapping parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static Mapping.OriginalMapping parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static Mapping.OriginalMapping parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static Mapping.OriginalMapping parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public Mapping.OriginalMapping.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static Mapping.OriginalMapping.Builder newBuilder()

### newBuilder

public static Mapping.OriginalMapping.Builder newBuilder(Mapping.OriginalMapping prototype)

### toBuilder

public Mapping.OriginalMapping.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected Mapping.OriginalMapping.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static Mapping.OriginalMapping getDefaultInstance()

### parser

public static com.google.protobuf.Parser<Mapping.OriginalMapping> parser()

### getParserForType

public com.google.protobuf.Parser<Mapping.OriginalMapping> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public Mapping.OriginalMapping getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`